Skip to main content
`Ctrl`+`K`

# BVCreateVec

Creates a new `Vec` object with the same type and dimensions as the columns of the basis vectors object.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVCreateVec(BV bv,Vec *v)

Collective

## Input Parameter

- bv - the basis vectors context

## Output Parameter

- v - the new vector

## Note

The user is responsible for destroying the returned vector.

## See Also

BV: Basis Vectors, `BVCreateMat()`, `BVCreateVecEmpty()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

## Examples

src/pep/tutorials/ex40.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages